=== debian/changelog ===
mpage (2.5-6) unstable frozen; urgency=low

  * make mp and psprint executable

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sun, 22 Mar 1998 18:09:52 +0000

mpage (2.5-5) unstable; urgency=low

  * fix psprint example script 

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Mon,  9 Mar 1998 20:13:51 +0000

mpage (2.5-4) unstable; urgency=low

  * removed du file

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue, 24 Feb 1998 20:42:13 +0000

mpage (2.5-3) unstable; urgency=low

  * don't print outlining messages as they are irritating (fixes 16988)

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue, 13 Jan 1998 20:06:14 +0000

mpage (2.5-2) unstable; urgency=low

  * uses dh_shlibdeps rather than hardcoded dependencies [fixes 16472]

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sun,  4 Jan 1998 20:22:23 +0000

mpage (2.5-1) unstable; urgency=low

  * new upstream release
  * new maintainer

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sat, 20 Dec 1997 00:08:22 +0000

mpage (2.4-7) unstable; urgency=low

  * now using libpaper to determine default paper size.

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 30 Nov 1997 14:28:51 +0100

mpage (2.4-6) unstable; urgency=low

  * (quick and dirty) bugfix to handle dvi2ps files. 

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 21 Nov 1997 14:48:32 +0100

mpage (2.4-5) unstable; urgency=low

  * fixed dependency on libc5.

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  3 Nov 1997 10:40:30 +0100

mpage (2.4-4) unstable; urgency=low

  * libc6 release.

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 16 May 1997 21:50:05 +0200

mpage (2.4-3) unstable; urgency=low

  * fixed some stupid bugs in Makefile and debian/rules

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 26 Nov 1996 20:17:03 +0100

mpage (2.4-2) unstable; urgency=low

  * fixed bug #4634 
    (small bug in debian/rules - cleaned binary-indep section)
  * new debian/* control files (generated with deb-make)

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 26 Nov 1996 17:15:23 +0100

mpage (2.4-1) unstable; urgency=low

  * new upstream release

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 18 Sep 1996 13:26:32 +0200

mpage (2.3-1) unstable; urgency=low

  * initial release.

 -- Andreas Jellinghaus <aj@debian.org>  Fri, 30 Aug 1996 19:48:18 +0200

Local variables:
mode: debian-changelog
End:
