=== debian/control ===
Source: mpage
Section: text
Priority: optional
Maintainer: Adrian Bridgett <adrian.bridgett@poboxes.com>
Standards-Version: 2.4.0.0

Package: mpage
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gs
Description: print multiple pages per sheet on PostScript printer 
 Mpage reads plain text files or PostScript documents and prints them on
 a PostScript printer with the text reduced in size so that several
 pages appear on one sheet of paper. This is useful for viewing large
 printouts on a small amount of paper. Uses ISO 8859.1 to print 8-bit
 characters.
